mcfirst(1)

NAME
mcfirst - check if you can receive IPv4/IPv6 multicast

SYNOPSIS
mcfirst [ -46vr ] [ -I interface ] [ -c count ] [ -t time ] [ source ] group port

DESCRIPTION
mcfirst can be used to check whether one can receive multicast packets from a host. The host may send any type of multicast packets, any application, IPv4 or IPv6, ASM or SSM. mcfirst joins the specified (source) and group, and listens to the specified port. mcfirst will by default exit when the first packet is received, and print how long it waited.

OPTIONS
The options are as follows.

-4  Force IPv4

-6  Force IPv6

-v  Print version

-r  Print rate information only

-I interface
    Interface to join on

-c count
    Stop after receiving count packets. Default is 1 unless time limit is specified

-t time
    Exit after time seconds. Default is to exit after the first packet. If both count and time are specified, mcfirst will exit as soon as one of them is satisfied.

SEE ALSO
ssmping(1) a tool for checking whether can receive SSM.

dbeacon(1) a distributed beacon multicast implementation.

BUGS
Please report them to Stig Venaas <venaas@uninett.no>, the author of this tool.

HISTORY
mcfirst was developed by Stig Venaas during the early days of the m6bone, the IPv6 multicast backbone.